Package jebl.evolution.trees

# Class TreeSelectionChangeEvent

java.lang.Object
jebl.evolution.trees.TreeSelectionChangeEvent

public final class TreeSelectionChangeEvent extends Object
Represents a change to the selected nodes in a tree. As at 2008-5-22, this class just encapsulates the set of selected nodes but in future it may contain more details on the type of selection change.

Version:
  $Id: TreeSelectionChangeEvent.java 913 2008-05-22 04:53:39Z matt_kearse $
Author:
  Matt Kearse

## Constructor Summary

Constructors
Constructor
Description
`TreeSelectionChangeEvent(Set<Node> selectedNodes)`

## Method Summary

Modifier and Type
Method
Description
`Set<Node>`
`getSelectedNodes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeSelectionChangeEvent

public TreeSelectionChangeEvent(Set<Node> selectedNodes)

## Method Details

### getSelectedNodes

public Set<Node> getSelectedNodes()